Skip to main content
GET
/
api
/
v2
/
metrics
Get aggregated metrics
curl --request GET \
  --url https://mcp.zeroclick.ai/api/v2/metrics \
  --header 'Authorization: Bearer <token>'
{
  "startTime": "<string>",
  "endTime": "<string>",
  "totals": {
    "adRequests": 123,
    "impressions": 123,
    "clicks": 123,
    "estimatedEarnings": 123,
    "signals": 123,
    "contextfulImpressions": 123,
    "contextlessImpressions": 123,
    "contextfulClicks": 123,
    "contextlessClicks": 123
  },
  "freshness": {
    "lastUpdatedAt": "<string>",
    "nextUpdateAt": "<string>"
  },
  "timeSeries": [
    {
      "adRequests": 123,
      "impressions": 123,
      "clicks": 123,
      "estimatedEarnings": 123,
      "signals": 123,
      "contextfulImpressions": 123,
      "contextlessImpressions": 123,
      "contextfulClicks": 123,
      "contextlessClicks": 123,
      "date": "<string>",
      "hour": 11.5
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.zeroclick.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Tenant API Key with developer:data:read scope. Create an API key from https://developer.zeroclick.ai/ by navigating to API Keys and selecting the Organization API Keys tab. This is a private API key and must be stored securely - never expose it in public-facing code or client-side applications.

Query Parameters

startTime
string<date-time>
required

Start of date range (ISO 8601) ISO 8601 timestamp

endTime
string<date-time>
required

End of date range (ISO 8601) ISO 8601 timestamp

clientId
string

Filter by a single tenant client ID

groupingId
string

Filter by a single grouping ID

granularity
enum<string>

hour or day. Enables time series in the response.

Available options:
hour,
day

Response

Aggregated totals plus optional time series.

startTime
string
required
endTime
string
required
totals
object
required
freshness
object
required
timeSeries
object[]